Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005767TestLinkBug Tracking System - Redmine Integrationpublic2013-06-06 12:282013-09-08 17:55
Reportermacmac 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformlinuxOSdebianOS Version6.0.3
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005767: Redmine 2.x - Link access issue (uriview) has changed from 1.x => issue can not be accessed
DescriptionWhen displaying issue in Redmine, Testlink uses the URL like <server>/issues/show/<bug no>
This does not work at with Redmine 2.1.2.
It looks, that for this version, the URL should be <serfer>/issues/<bug no> (without "show").

At least this is how it behaves at my system.
I changed line 58 in lib/issuetrackerintegration/redminerestInterface.class.php to:
 
  $this->cfg->uriview = $base . 'issues/';

and it started to work.
Steps To ReproduceTry any link from testlink to issue at redmine 2.X
Additional InformationI'm not sure, but I think it worked with redmine v 1.X I used before
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserOpera
PHP Version5.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019104)
fman (administrator)
2013-06-06 20:19

IMHO best option is do not touch code but provide Full uri view on xml configuration.

I'm going to recheck with the redmine server I've used for older tests
(0019123)
fman (administrator)
2013-06-08 07:16

http://gitorious.org/testlink-ga/testlink-code/commit/6d49f25e3c55f33712091799188e4d84321aebde [^]
(0019559)
fman (administrator)
2013-09-08 17:55

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-06-06 12:28 macmac New Issue
2013-06-06 20:19 fman Note Added: 0019104
2013-06-08 06:53 fman Summary Link to Redmine issue not working => Redmine 2.x - Link access issue (uriview) has changed from 1.x => issue can not be accessed
2013-06-08 07:16 fman Note Added: 0019123
2013-06-08 07:16 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-06-08 07:16 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-06-08 07:16 fman Status new => resolved
2013-06-08 07:16 fman Resolution open => fixed
2013-06-08 07:16 fman Assigned To => fman
2013-06-08 07:16 fman Relationship added child of 0005731
2013-09-08 17:55 fman Note Added: 0019559
2013-09-08 17:55 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker